import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:mohem_flutter_app/extensions/int_extensions.dart';
import 'package:mohem_flutter_app/extensions/string_extensions.dart';
import 'package:mohem_flutter_app/generated/locale_keys.g.dart';

class AppLogo extends StatelessWidget {
  AppLogo({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        SvgPicture.asset(
          "assets/mohemm_logo.svg",
          height: 48,
          width: 48,
          alignment: Alignment.centerRight,
        ),
        8.width,
        LocaleKeys.mohemm.tr().toText14()
      ],
    );
  }
}
